#include "iostm8s003k3.h"

volatile int cr=0;
int button_0=0;

#pragma vector = TIM2_OVR_UIF_vector //   TIM4
  __interrupt void TIM2_UIF(void)
{
  if(button_0<=-20)button_0=0;
  button_0--;

  TIM2_SR1_bit.UIF = 0;
};

#pragma vector = TIM4_OVR_UIF_vector //   TIM4
  __interrupt void TIM4_UIF(void)
{
  cr++;
  TIM4_SR_bit.UIF = 0;
};


void set_tim_2 (void)
{
  TIM2_CR1_bit.URS      = 1;
  TIM2_IER              = 0x01;         //   
  TIM2_PSCR             = 0x0F;         // = 32768
  TIM2_ARRH             = 0x00;         //  = 0
  TIM2_ARRL             = 0x3D;         //  = 61
  TIM2_CR1_bit.CEN      = 1;           // 
}

void set_tim_4 (void)
{
  TIM4_CR1_bit.URS      = 1;
  TIM4_IER              = 0x01;         //   
  TIM4_PSCR             = 0x03;         // = 7A
  TIM4_ARR              = 0x07;         //  = 255
  TIM4_CR1_bit.CEN      = 1;           // 
}